package com.usky.backend.domain.vo;

import com.usky.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DataAverageExportVO {
    /**
     * 数据统计方式时间
     */
    @Excel(name = "数据统计时间")
    private String dataDate;

    /**
     * 设备Id
     */
    @Excel(name = "设备Id")
    private String deviceId;

    /**
     * 温度平均值
     */
    @Excel(name = "温度平均值")
    private String wd;

    /**
     * 湿度平均值
     */
    @Excel(name = "湿度平均值")
    private String sd;

    /**
     * pm2_5平均值
     */
    @Excel(name = "pm2_5平均值")
    private String pm2_5;

    /**
     * co2平均值
     */
    @Excel(name = "co2平均值")
    private String co2;

    /**
     * voc平均值（优就是1，良是2，差是3）
     */
    @Excel(name = "voc等级值")
    private String voc;

    /**
     * 空气质量平均值（1、优质 2、良好 3、轻度污染 4、中度污染 5、重度污染 6、严重污染）
     */
    @Excel(name = "空气质量等级值")
    private String quality;
}
